petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscBagRegisterReal

add a real value to the bag

### Synopsis

    #include "petscbag.h"
    PetscErrorCode PetscBagRegisterReal(PetscBag bag,void *addr,PetscReal mdefault, const char *name, const char *help)

Logically Collective on PetscBag

### Input Parameter

| bag | - the bag of values
| addr | - location of double in struct
| mdefault | - the initial value
| name | - name of the variable
| help | - longer string with more information about the value

### See Also

PetscBag, PetscBagSetName(), PetscBagView(), PetscBagLoad(), PetscBagGetData()
PetscBagRegisterInt(), PetscBagRegisterBool(), PetscBagRegisterScalar() PetscBagSetFromOptions(), PetscBagCreate(), PetscBagGetName(), PetscBagRegisterEnum()

Level:beginner
Location:src/sys/classes/bag/bag.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/sys/examples/tutorials/ex5f90.F90.html
src/snes/examples/tutorials/ex7.c.html